#include "headers.h"


int dial(const char *fqdn, const char *proto)
    {
    int sd;
    struct addrinfo *ainfo; 


    if( !(sd = socket(AF_INET, SOCK_STREAM, 0)))
	{
	return(0);
	}

    if(getaddrinfo(fqdn, proto, 0, &ainfo))
	{
	return(0);
	}

    if(connect(sd, ainfo->ai_addr, ainfo->ai_addrlen))
	{
	return(0);
	}

    return(sd);
    }
